# Class BadCast
Generic SeqAn exception.

Defined in | <seqan/basic.h>
Signature | `typedef std::bad_cast BadCast;`

## Member Function Overview

- `BadCast::BadCast(msg);`
  Constructor.

## Member Functions Detail

### `BadCast::BadCast(msg);`

Constructor.

#### Parameters

`msg` | The message as a `std::string`.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class BadCast
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Generic SeqAn exception.
     *
     * @signature typedef std::bad_cast BadCast;
     *
     * @fn BadCast::BadCast
     *
     * @brief Constructor.
     *
     * @signature BadCast::BadCast(msg);
     *
     * @param[in] msg The message as a <tt>std::string</tt>.
     */